/*
 *   Copyright 2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License").
 *   You may not use this file except in compliance with the License.
 *   A copy of the License is located at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   or in the "license" file accompanying this file. This file is distributed
 *   on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 *   express or implied. See the License for the specific language governing
 *   permissions and limitations under the License.
 */

package com.amazon.opendistroforelasticsearch.sql.exception;

/**
 * Intended for cases when we knowingly omitted some case, letting users know that we didn't implemented feature, but
 * it may be implemented in future.
 */
public class SqlFeatureNotImplementedException extends RuntimeException {
    private static final long serialVersionUID = 1;

    public SqlFeatureNotImplementedException(String message) {
        super(message);
    }

    public SqlFeatureNotImplementedException(String message, Throwable cause) {
        super(message, cause);
    }
}
